import request from "@/utils/request.js"

//新增奖项
export const createAward = (data)=>{
  return request({
    url: '/engine/award-item/create',
    method: "post",
    data
  })
}
//修改奖项
export const updateAward = (data)=>{
  return request({
    url: '/engine/award-item/update',
    method: "put",
    data
  })
}
//删除奖项
export const deleteAward = (id)=>{
  return request({
    url: '/engine/award-item/delete?id=' + id ,
    method: "delete",
  })
}

//获得奖项分页
export const getAwardPage = (pageNo, pageSize, uuid)=>{
  return request({
    url: `/engine/award-item/page?pageNo=${pageNo}&pageSize=${pageSize}&uuid=${uuid}` ,
    method: "get",
  })
}
