import request from "@/utils/request";
export const getHomeworkDetail = (id) => {
  return request({
    url: "tutor/homework/get?id=" + id,
    method: "get"
  });
};
export const getHomeworkPage = (pageNo,pageSize,name,activationStatus) => {
  return request({
    url: `tutor/homework/page?pageNo=${pageNo}&pageSize=${pageSize}&name=${name}&activationStatus=${activationStatus}`,
    method: "get"
  });
};
export const deleteHomeworkDetail = (id) => {
  return request({
    url: "tutor/homework/delete?id=" + id,
    method: "delete"
  });
};
export const setHomeworkDetail = (data) => {
  return request({
    url: "tutor/homework/update",
    method: "put",
    data
  });
};
export const createHomeworkDetail = (data) => {
  return request({
    url: "tutor/homework/create",
    method: "post",
    data
  });
};
