import request from "@/utils/request";
export const getStudentDetail = (id) => {
  return request({
    url: "tutor/students/get?id=" + id,
    method: "get"
  });
};
export const getStudentPage = (pageNo,pageSize,name,activationStatus) => {
  return request({
    url: `tutor/students/page?pageNo=${pageNo}&pageSize=${pageSize}&name=${name}&activationStatus=${activationStatus}`,
    method: "get"
  });
};
export const deleteStudentDetail = (id) => {
  return request({
    url: "tutor/students/delete?id=" + id,
    method: "delete"
  });
};
export const setStudentDetail = (data) => {
  return request({
    url: "tutor/students/update",
    method: "put",
    data
  });
};
export const createStudentDetail = (data) => {
  return request({
    url: "tutor/students/create",
    method: "post",
    data
  });
};
