import request from "@/utils/request";
export const getTeacherDetail = (id) => {
  return request({
    url: "tutor/teachers/get?id=" + id,
    method: "get"
  });
};
export const getTeacherPage = (pageNo,pageSize,name,phoneNumber) => {
  return request({
    url: `tutor/teachers/page?pageNo=${pageNo}&pageSize=${pageSize}&name=${name}&phoneNumber=${phoneNumber}`,
    method: "get"
  });
};
export const deleteTeacherDetail = (id) => {
  return request({
    url: "tutor/teachers/delete?id=" + id,
    method: "delete"
  });
};
export const setTeacherDetail = (data) => {
  return request({
    url: "tutor/teachers/update",
    method: "put",
    data
  });
};
export const createTeacherDetail = (data) => {
  return request({
    url: "tutor/teachers/create",
    method: "post",
    data
  });
};
