// import request from "@/utils /iceserver.js";
import request from "@/utils/request";

// 节点管理
export const getModuleRulePage = (
  pageNo = 1,
  pageSize = 10,
  confName = "",
  status = "",
  type = 5
) => {
  return request({
    url: `iceserver/conftemplate/page?pageNo=${pageNo}&pageSize=${pageSize}&confName=${confName}&status=${status}&type=${type}`,
    method: "get"
  });
};
export const createModuleRuleNode = (data) => {
  return request({
    url: `iceserver/conf-template/create`,
    method: "post",
    data
  });
};
export const updateModuleRuleNode = (data) => {
  return request({
    url: `iceserver/conf-template/update`,
    method: "put",
    data
  });
};
export const deteleModuleRuleNode = (id) => {
  return request({
    url: `iceserver/conf-template/detele?id=` + id,
    method: "detele"
  });
};

//

export const addIceCategorize = (data) => {
  return request({
    url: "iceserver/categorize/create",
    method: "post",
    data
  });
};
export const deletIceCategorize = (id) => {
  return request({
    url: "iceserver/categorize/delete?id=" + id,
    method: "delete"
    // data
  });
};

export const updateIceCategorize = (data) => {
  return request({
    url: "iceserver/categorize/update",
    method: "put",
    data
  });
};

export const getIceCategorize = (pageNo, pagesize, name) => {
  return request({
    url: `iceserver/categorize/page?pageNo=${pageNo}&pageSize=${pagesize}&name=${name}`,
    method: "get"
  });
};

export const getOnlyIceCategorize = (id) => {
  return request({
    url: "iceserver/categorize/get?id=" + id,
    method: "get"
  });
};

export const upDateNode = (data) => {
  return request({
    url: "/iceserver/conf/update",
    method: "put",
    data
  });
};
