export function setTime(ms) {
  let num = Math.floor(ms / 1000);
  //num是秒数    98876秒  有多少天： xx天xx时xx分xx秒
  var sec = setDb(num % 60); //06 秒
  var min = setDb(Math.floor(num / 60) % 60); //Math.floor(num / 60) % 60     分
  var hour = setDb(Math.floor(num / 60 / 60) % 24); //时
  var day = setDb(Math.floor(num / 60 / 60 / 24)); //天数
  return {
    seconds: sec,
    minutes: min,
    hours: hour,
    days: day
  };
}
function setDb(num) {
  //补零操作
  if (num < 10) {
    return "0" + num;
  } else {
    return "" + num;
  }
}
