const fontData = {
  fontSize: 14,
  fontStyle: "", //italic
  fontFamily: "",
  color: "",
  textAlign: "center",
  lineHeight: 1.2,
  letterSpacing: 5,
  fontWeight: 400,
  textDecoration: "", //underline
  cfgIndex: []
};
/**
 * 类型
 * 形式
 * 格式
 * 字体
 * 字号
 * 文字色
 * 背景色
 * 文字位置
 * 加粗
 * 斜体
 * 下划线
 * 行高
 * 字距
 */
export const realTimeData = {
  type: 6,
  form: 0,
  format: 3,
  bgcolor: "",
  fontData
};
//参与人数统计
/**
 * 统计类型 0 参与数量
 * 统计样式 0 默认 1自定义
 * 背景图片
 * 统计布局 0左右 1上下
 * 图标颜色
 * 背景颜色
 * 数字格式 0简介 1完整
 * 计数基数
 * 固定组件位置
 */
export const partake = {
  partakeType: 0,
  partakeStyle: 0,
  bgImage: "",
  flexType: 0,
  iconColor: "#fff",
  bgColor: "ff7800",
  numType: 0,
  sumBase: 0,
  onfixed: "",
  fontSize: 20
};
// 视频组件
export const video = {
  // 外部视频链接
  externalUrl: "",
  // 上传视频
  // 上传视频链接
  uploadVideoUrl: "",
  // 视频封面
  coverUrl: "",
  opacity: 0,
  // 是否上传视频
  videoType: 0
};
// 按钮基础设置
// 截图
export const screenshot = {
  btnType: 0,
  btnName: "屏幕截图",
  btnNameSize: 14,
  btnColor: "#333",
  color: "#fff",
  opacity: 0,
  diyType: 0,
  url: ""
};
//
// 二维码
export const qrcode = {
  // text
  text: "",
  correctLevel: 0,
  sizeData: 80,
  contentMargin: 20,
  colorDark: "#333333",
  colorLight: "#ffffff",
  bgSrc: "",
  gifBgSrc: "",
  backgroundColor: "#ffffff",
  backgroundDimming: "",
  logoSrc: "",
  logoScale: 0.2,
  logoMargin: 5,
  logoBackgroundColor: "#ffffff",
  logoCornerRadius: 0,
  whiteMargin: "",
  dotScale: 1,
  autoColor: "",
  binarize: "",
  binarizeThreshold: "",
  callback: "",
  bindElement: true
};
export const borderStyle = {
  style: "solid",
  color: "#333",
  size: 0,
  radiusTop: 0,
  radiusRight: 0,
  radiusBottom: 0,
  radiusLeft: 0
};
export const boxShadow = {
  inColor: "#333",
  externalAttr: [0, 0, 0],
  insetColor: "#fff",
  insetExternalAttr: [0, 0, 0]
};
// export const borderRadius = {};
export const VImage = {
  // 图片路径
  url: "",
  overlay: { type: -1, list: [] },
  urlData: "",
  phoneNumber: ""
};
export const Font = {
  FontFamily: "",
  FontColor: "#333",
  FontSize: 14,
  B: false,
  I: false,
  U: false,
  D: false,
  TextAlign: "center",
  option: 0,
  WritingMode: "vertical-lr",
  LineHeight: 1.5,
  spacing: 0,
  FontWeight: 500
};
export const margin = [0, 0, 0, 0];
export const Border = {
  BStyle: "solid",
  BColor: "#333",
  BWidth: 1,
  BR1: 0,
  BR2: 0,
  BR3: 0,
  BR4: 0
};
// 动画
export const AnimationList = [];
export const position = { top: 0, left: 0 };
// 时间
export const time = new Date().getTime();
export const text = {
  title: "自定义",
  fontSize: "14px",
  color: "#333",
  diy: false,
  show: false,
  b: false,
  i: false,
  u: false
};
export const defaultimg = require("@/assets/images/img.jpg");
export const img = {
  show: 1,
  def: defaultimg,
  diyimg: ""
};
// 边距
// 上 左 右 下
export const padding = [0, 0, 0, 0];
/**
 * 全局样式设置
 * 背景类型bgtype
 * bg;背景颜色
 * bgtype=1默认背景
 * bgtype=2隐藏背景
 * bgtype=3自定义
 * bgshow 是否显示背景图片
 * imageUrl 图片路径,
 * m
 * p
 */
export const PageGlobal = {
  RuleId: "",
  transparency: 0,
  bg: "#fff",
  bgshow: false,
  imgshow: false,
  imageUrl: "",
  m: 10,
  p: 0,
  width: 375,
  height: 667,
  overlay: {
    title: "",
    list: []
  }
};
/** 模块样式列表 */
export const NavBar = {
  title: "标题", //标题
  titleColor: "#333",
  rightText: "搜索", //右侧文字
  rc: "#1261ff", //右侧颜色
  leftText: "返回", //左侧文字
  lc: "#1261ff", //左侧 颜色
  rightIcon: "", //右侧图标
  leftIcon: "arrow-left", //左侧箭头
  border: true, //是否显示下边框
  // fixed: false, //是否吸顶
  top: 0,
  left: 0,
  Font
};
export const Gird = {
  textShow: true, //是否 显示文字
  gutter: 3, //格子间距,
  direction: false,
  border: false,
  square: false,
  iconSize: 20,
  list: [
    {
      text: "文字", //文字
      icon: "photo-o", //图标
      imgUrl: "", //图片路径
      to: "" //跳转地址
    },
    {
      text: "文字",
      icon: "photo-o",
      imgUrl: "", //图片路径
      to: ""
    },
    {
      text: "文字",
      icon: "photo-o",
      imgUrl: "", //图片路径
      to: ""
    },
    {
      text: "文字",
      icon: "photo-o",
      imgUrl: "", //图片路径
      to: ""
    }
  ]
};
export const Tabbar = {
  //是否固定在底部
  // fixed: true,
  // bottom:-667,
  // left:0,
  showText: true,
  // 是否显示外边框
  border: true,
  // 是否开启路由
  router: true,
  // 选中标签颜色
  activeColor: "#1261ff",
  // 未选中颜色
  inactiveColor: "#666",
  // 激活项索引值
  index: 0,
  list: [
    {
      // 标签名称
      name: "默认菜单",
      // 跳转路由地址
      routerUrl: "",
      // 图片地址
      imgUrl: "",
      // 当前项
      active: 0,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png"
      }
    },
    {
      // 标签名称
      name: "首页",
      // 跳转路由地址
      routerUrl: "",
      // 图片地址
      imgUrl: "",
      active: 1,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png"
      }
    },
    {
      // 标签名称
      name: "商城",
      // 跳转路由地址
      routerUrl: "",
      // 图片地址
      imgUrl: "",
      active: 2,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png"
      }
    },
    {
      // 标签名称
      name: "个人中心",
      // 跳转路由地址
      routerUrl: "",
      // 图片地址
      imgUrl: "",
      active: 3,
      icon: {
        active: "https://img01.yzcdn.cn/vant/user-active.png",
        inactive: "https://img01.yzcdn.cn/vant/user-inactive.png"
      }
    }
  ]
};
export const Swiper = {
  borderRadius: 5,
  autoplay: 2000, // 间隔时间
  duration: 500, // 动画时长
  initialSwipe: 0, // 初始索引
  width: 100, // 滑块宽度
  height: 100, // 滑块高度
  loop: true, //循环播放
  showIndicators: true, // 显示指示器
  touchable: true, // 是否开启手势滑动
  stopPropagation: true, // 阻止滑动冒泡
  vertical: false, // 纵向滚动
  indicatorColor: "#1989fa", // 指示器颜色
  router: true, // 是否开启跳转
  list: [
    {
      // 图片路径
      imgUrl: "https://operation.mige.tv/uploads/45a565ff-e7b1-4f25-a121-a7e0f615ff37.jpg",
      // 跳转地址
      url: ""
    },
    {
      // 图片路径
      imgUrl: "https://operation.mige.tv/uploads/da9dac7d-e164-4991-8b73-c5791046761d.jpg",
      // 跳转地址
      url: ""
    },
    {
      // 图片路径
      imgUrl: "https://operation.mige.tv/uploads/01bc4b61-64f9-40c7-b977-e68bd15138e7.png",
      // 跳转地址
      url: ""
    },
    {
      // 图片路径
      imgUrl: "https://operation.mige.tv/uploads/a578bdab-d4f6-41e3-b9e8-34a550a3dccd.png",
      // 跳转地址
      url: ""
    }
  ]
};

export const Input = {
  value: "", //输入内容
  label: "文字", // 左侧文本
  labelAlign: "left", //文本对齐方式
  inputAlign: "left", // 输入框对齐方式
  border: "transparent", //边框颜色
  // ##校验触发时机
  disabled: false, // 是否禁用输入框
  readonly: false, // 是否设置为只读
  maxlength: 16, // 最大字符数
  required: false, // 是否必填
  // rules: [], //校验规则
  place: "请输入文字", //提示文字
  leftIcon: "", //左侧图标
  rightIcon: "" //右侧图标
};
export const Lotter = {
  // // 抽奖图标
  // luckDrawIcon: "",
  // 抽奖按钮背景
  luckDradBg: "http://purchase.platomix.net/files/38512823-4647-4d1e-9982-4b9a51707a96.png",
  // 容器背景
  conBg: "http://purchase.platomix.net/files/778d3349-776a-46bd-b9f4-350944393167.png",
  // 奖品容器
  prizeBg: "http://purchase.platomix.net/files/c690424b-1074-410e-9b69-3c5f0ba55b01.png",
  // 奖品圆角
  prizeRadius: 0,
  // 奖品图片
  list: [
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/f1256ed7-6d6e-4ae4-92d4-3f0c005b3d5a.png"
    },
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/395df9df-416e-4714-bbbe-656ea2845e93.png"
    },
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/f1256ed7-6d6e-4ae4-92d4-3f0c005b3d5a.png"
    },
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/395df9df-416e-4714-bbbe-656ea2845e93.png"
    },
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/f1256ed7-6d6e-4ae4-92d4-3f0c005b3d5a.png"
    },
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/395df9df-416e-4714-bbbe-656ea2845e93.png"
    },
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/f1256ed7-6d6e-4ae4-92d4-3f0c005b3d5a.png"
    },
    {
      name: "",
      id: "",
      url: "http://purchase.platomix.net/files/395df9df-416e-4714-bbbe-656ea2845e93.png"
    }
  ]
};
export const Text = {
  // 是否显示图标
  showIcon: false,
  // 是否显示整体边框
  border: true,
  // 边框颜色
  bcolor: "#ff9700",
  // 边框距离文字距离上下 左右
  px: 10,
  py: 10,
  // 边框距离外部距离左右
  mx: 10,
  // 文本间 间距
  textMy: 10,
  // 文字颜色
  textColor: "#333",
  // 背景颜色
  bgcolor: "#fff",
  // 对齐方式
  textAlign: "",
  // 文本内容
  list: [
    {
      showTitle: true,
      title: "活动规则",
      text: "我是内容"
    }
  ]
};
export const NoticeBar = {
  // 通知文本颜色
  text: "#fff",
  // 右侧图标
  rightIcon: "",
  // 通知左侧图标
  leftIcon: "",
  // 滚动速率
  autoPlay: 3000,
  // 通知背景
  background: "#F8763B",
  // 上下边距
  my: 10,
  // 圆角
  radius: 10,
  // 自定义内容####
  textList: ["内容一", "内容二", "内容三"]
};
export const CountDown = {
  // 样式 文字 ：
  // 背景颜色
  bgColor: "rgba(250,197,54,1)",
  // 文字颜色
  textColor: "#333",
  // 数字颜色
  numColor: "#fff",
  // 活动起止时间
  countDownTime: [],
  // 活动样式
  TiemStyle: 1,
  time: 0,
  // 显示那种文案
  startConfig: 0,
  // 倒计时文案
  noStartTest: "距离活动开始还有:",
  // 倒计时开始
  startText: "距离活动结束还有：",
  //
  endText: "活动已结束，感谢您的关注"
  // 数据
};
export const List = {
  listBg: "#f9f9f9",
  // 列表项间距
  listm: 5,
  // 按钮
  // 背景 字体，圆角
  btnBg: "orange",
  fColor: "#fff",
  // btnRadius: 10,
  text: "点击领取"
};
export const MallList = {
  // 是否介绍
  showDe: true,
  // 是否显示价格
  showPrice: true,
  list: [
    {
      url: "https://bizaladdin-image.baidu.com/0/pic/311847832_-447371938_-1361212092.jpg",
      title: "腾讯合约包",
      describe: "12GB流量合约包",
      //新价格
      newPrice: "0.01元/月",
      //划线价格
      delPrice: "9元/月"
    },
    {
      url: "https://bizaladdin-image.baidu.com/0/pic/311847832_-447371938_-1361212092.jpg",
      title: "腾讯合约包",
      describe: "12GB流量合约包",
      //新价格
      newPrice: "0.01元/月",
      //划线价格
      delPrice: "9元/月"
    },
    {
      url: "https://bizaladdin-image.baidu.com/0/pic/311847832_-447371938_-1361212092.jpg",
      title: "腾讯合约包",
      describe: "12GB流量合约包",
      //新价格
      newPrice: "0.01元/月",
      //划线价格
      delPrice: "9元/月"
    }
  ]
};
export const Button = {
  text: "默认按钮",
  size: { width: 86, height: 42 },
  // 按钮类型
  type: "info",
  plain: false,
  hairline: true,
  disabled: false,
  // 方块，圆角
  squareOrRound: 1,
  // round: false,
  iconType: 0,
  iconImage: "",
  icon: "plus",
  // 是否 使用背景色
  colorType: false,
  color: "#ee0a24",
  gradient: "to right",
  gradientColor: ["#ff6034", "#ee0a24"],
  toType: 0,
  toPage: 0,
  url: "",
  popType: 0,
  phoneNumber: ""
};
export const icontext = [
  {
    o: false,
    img,
    text: {
      t: "标题名称",
      ...text
    }
  }
]; // 导航模块数据
export const RichText = {
  html: "<p>默认文本</p>",
  bgColor: "#fff",
  bgImg: "",
  radius: 5
};
export const Rides = {
  alignText: "center",
  bgColor: "rgba(0, 0, 0, 0.41)",
  color: "#F2EFEF",
  height: 24,
  left: 75,
  pl: 0,
  pr: 15,
  lIcon: "info-o",
  rIcon: "",
  radius: 10,
  fontSize: 14,
  ridesTop: true,
  text: "活动规则",
  // 文字大小
  // 图标
  top: 5,
  width: 110,
  isShowImg: "",
  //提示文字列表
  overlay: {
    typeShow: 0,
    title: "产品说明",
    list: [
      "说明文字说明文字说明文字说明文字说明文字说明文字说明文字说明文字说明文字",
      "说明文字说明文字说明文字说明文字说明文字说明文字说明文字说明文字说明文字",
      "说明文字说明文字说明文字说明文字说明文字说明文字说明文字说明文字说明文字"
    ]
  }
  // 提示文字标题
  // 文字颜色
};
// 遮罩组件
export const overlay = {
  // 类型
  type: "warning",
  // 内容
  message: "活动规则1111111111111111111111111111111111111"
};
