import {
  formTitleImg,
  formText,
  formButton,
  inputItem,
  formInput,
  smsInput
} from "./compModule/formComp";
import {
  VImage,
  Font,
  AnimationList,
  Border,
  time,
  defaultimg,
  img,
  margin,
  padding,
  PageGlobal,
  NavBar,
  Gird,
  Tabbar,
  Swiper,
  Input,
  Lotter,
  Text,
  NoticeBar,
  CountDown,
  List,
  MallList,
  Button,
  icontext,
  RichText,
  Rides,
  position,
  overlay,
  borderStyle,
  boxShadow,
  borderRadius,
  qrcode,
  screenshot,
  video,
  partake,
  realTimeData
} from "./compModule/baseComp";
import { LuckyCard, BlindBox, RotaryTurntable, ScrapingCard, Egg } from "./compModule/luckDraw";
const size = { width: 375, height: 100 };
const dragList = [
  {
    title: "基础模块",
    list: [
      {
        compCode: "NavBar",
        compName: "导航栏",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: {
            width: 375,
            height: 47
          },
          AnimationList,
          position,
          ...NavBar,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Gird",
        compName: "宫格",
        compIcon: "el-icon-s-grid",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 375,
            height: 78
          },
          AnimationList,
          position,
          ...Gird,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Tabbar",
        compName: "标签栏",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size,
          AnimationList,
          position,
          ...Tabbar,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "VImage",
        compName: "图片",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: { width: 40, height: 40 },
          AnimationList,
          position,
          ...VImage,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      // video
      {
        compCode: "Video",
        compName: "视频",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: { width: 360, height: 200 },
          AnimationList,
          position,
          ...video,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Partake",
        compName: "数据统计",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: { width: 360, height: 100 },
          AnimationList,
          position,
          ...partake,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Qr",
        compName: "二维码",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: { width: 200, height: 200 },
          AnimationList,
          position,
          ...qrcode,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      // screenshot
      {
        compCode: "Screenshot",
        compName: "截图",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: { width: 100, height: 50 },
          AnimationList,
          position,
          ...screenshot,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Swiper",
        compName: "轮播",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size,
          AnimationList,
          position,
          ...Swiper,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Button",
        compName: "按钮",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compStyle: {
          size: { width: 122, height: 42 },
          AnimationList,
          position,
          ...Button,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "NoticeBar",
        compName: "通知条",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 150,
            height: 30
          },
          AnimationList,
          position,
          ...NoticeBar,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Input",
        compName: "输入框",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 300,
            height: 30
          },
          AnimationList,
          position,
          ...Input,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "RichText",
        compName: "文本编辑",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 100,
            height: 30
          },
          AnimationList,
          position,
          ...RichText,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Rides",
        compName: "定位符",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 100,
            height: 20
          },
          AnimationList,
          position,
          ...Rides,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "CountDown",
        compName: "倒计时",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 375,
            height: 40
          },
          ...CountDown,
          AnimationList,
          position,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "RealTimeData",
        compName: "实时日期",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 375,
            height: 40
          },
          ...realTimeData,
          AnimationList,
          position,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "InputItem",
        compName: "用户注册",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: { width: 373, height: 200 },
          AnimationList,
          position,
          ...smsInput,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      }
    ]
  },
  {
    title: "抽奖组件",
    list: [
      {
        compCode: "LotteryDraw",
        compName: "九宫格",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: { width: 373, height: 373 },
          AnimationList,
          position,
          ...Lotter,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "RotaryTurntable",
        compName: "大转盘",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: { width: 460, height: 468 },
          AnimationList,
          position,
          ...RotaryTurntable,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "ScrapingCard",
        compName: "刮刮卡",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 175,
            height: 80
          },
          ...ScrapingCard,
          AnimationList,
          position,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      },
      {
        compCode: "Egg",
        compName: "砸金蛋",
        compIcon: "el-icon-takeaway-box",
        compDescribe: "",
        compConfig: {},
        compStyle: {
          size: {
            width: 350,
            height: 300
          },
          ...Egg,
          AnimationList,
          position,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      }
    ]
  },
  {
    title: "表单组件",
    list: [
      {
        compCode: "InputItem",
        compName: "表单标题",
        compIcon: "el-icon-edit",
        compDescribe: "",
        compStyle: {
          size: { width: 373, height: 200 },
          AnimationList,
          position,
          ...smsInput,
          margin,
          padding,
          borderStyle,
          boxShadow
        },
        compData: {},
        operator: "",
        createTime: "",
        updateTime: ""
      }
    ]
  }
];

export default {
  PageGlobal,
  Font,
  dragList
};
