import request from "@/utils/request_h5";
// 发送验证码
export const getSms = (phone) => {
  return request({
    url: "/app-api/h5/member/sendsms?phone=" + phone,
    method: "get"
  });
};
// 获取密钥
export const onUser = (code, phone) => {
  return request({
    url: "/app-api/h5/member/verification?code=" + code + "&phone=" + phone,
    method: "get"
  });
};

// 根据uuid返回奖项列表
export const getMarkPrizeList = (data) => {
  return request({
    url: "/app-api/h5/award-item/pageByEventId",
    method: "post",
    data: data
  });
};
// 获取奖品
export const getMarkDetail = (id) => {
  return request({
    url: "/app-api/h5/engine/activity-prize/get?id=" + id,
    method: "get"
  });
};

// 获取奖项
export const getAwardItem = (id) => {
  return request({
    url: "/app-api/h5/award-item/get?id=" + id,
    method: "get"
  });
};

// 获得用户中奖信息
export const getUserPrizeList = (data) => {
  return request({
    url: `/app-api/h5/member-join-record/pageWinning`,
    method: "post",
    data
  });
};

// 兑奖接口
export const redeemPrize = (data) => {
  return request({
    url: "/app-api/h5/engine/redeem-prize-record/redeemPrize",
    method: "post",
    data
  });
};
