import request from "@/utils/request";

// 删除
export const deleteActivityRecord = (id) => {
  return request({
    url: "/engine/member-join-record/delete?id=" + id,
    method: "delete"
  });
};
//获得活动参与记录分页                            手机号         活动uuid     中奖状态 领取状态
export const getActivityRecordPage = (pageNo, pageSize, memberPhone, activityUuid, isHit, receiveFlag) => {
  return request({
    url: `/engine/member-join-record/page?pageNo=${pageNo}&pageSize=${pageSize}&memberPhone=${memberPhone}&activityUuid=${activityUuid}&isHit=${isHit}&receiveFlag=${receiveFlag}`,
    method: "get"
  });
};

// 导出excle
export const Excle = ()=> {
  return request ({
    url: '/engine/member-join-record/export-excel',
    method: 'get'
  })
}

// 获取参与记录
export const getOnlyRecord = () => {
  return request({
    url: '/engine/member-join-record/get',
    method: 'get'
  })
}
