import request from "@/utils/request";

export const getClassListPage = (pageNO, pageSize, className, classStatus) => {
  return request({
    url: `iceserver/class/page?pageNo=${pageNO}&pageSize=${pageSize}&className=${className}&status=${classStatus}`,
    method: "get"
  });
};
export const deleteClass = (id) => {
  return request({
    url: "iceserver/class/delete?id=" + id,
    method: "delete"
  });
};
export const updateClass = (data) => {
  return request ({
    url:'iceserver/class/update',
    method: 'put',
    data
  })
};
export const createClass = (data) => {
  return request ({
    url: 'iceserver/class/create',
    method: 'post',
    data
  })
}
export const getOneClass = (id) => {
  return request ({
    url: 'iceserver/class/get?id=' + id,
    method: 'get'
  })
}



