import request from "@/utils/request.js";
import axios from "axios";
export function getMaterialList(pageNo, pageSize, materialName, categoryId) {
  return request({
    url: `/engine/material-file-record/page?pageNo=${pageNo}&pageSize=${pageSize}&materialName=${materialName}&categoryId=${categoryId}`,
    method: "get"
  });
}
export function deleteMaterial(id) {
  return request({
    url: `/engine/material-file-record/delete?id=${id}`,
    method: "delete"
  });
}
export function getMaterial(id) {
  return request({
    url: `/engine/material-file-record/get?id=${id}`,
    method: "get"
  });
}
export function getListM(id) {
  return request({
    url: `/engine/material-file-record/list?ids=${id}`,
    method: "get"
  });
}

export function uploadImage(file) {
  return axios.post("https://purchase.platomix.net/upload/material/upload", file, {
    headers: {
      // 表示上传的是文件
      "Content-Type": "multipart/form-data",
      Accept: "*/*"
    }
  });
}
