import request from "@/utils/request";
export const getClassesDetail = (id) => {
  return request({
    url: "tutor/classes/get?id=" + id,
    method: "get"
  });
};
export const getClassesPage = (pageNo,pageSize,teacherId,status) => {
  return request({
    url: `tutor/classes/page?pageNo=${pageNo}&pageSize=${pageSize}&teacherId=${teacherId}&status=${status}`,
    method: "get"
  });
};
export const deleteClassesDetail = (id) => {
  return request({
    url: "tutor/classes/delete?id=" + id,
    method: "delete"
  });
};
export const setClassesDetail = (data) => {
  return request({
    url: "tutor/classes/update",
    method: "put",
    data
  });
};
export const createClassesDetail = (data) => {
  return request({
    url: "tutor/classes/create",
    method: "post",
    data
  });
};
