import request from "@/utils/request";
// 节点管理
// 分页
export function getPageConfig(pageNo, pageSize, confName, status, type) {
  return request({
    url: `/iceserver/conftemplate/page?pageNo=${pageNo}&pageSize=${pageSize}&confName=${confName}&status=${status}&type=${type}`,
    method: "get"
  });
}
// 修改
export function updateConfig(data) {
  return request({
    url: `/iceserver/conftemplate/update`,
    method: "put",
    data
  });
}
// 获取单个
export function getConfig(id) {
  return request({
    url: `/iceserver/conftemplate/get?id=${id}`,
    method: "get"
  });
}

// 删除
export function deleteConfig(id) {
  return request({
    url: `iceserver/conftemplate/delete&id=${id}`,
    method: "get"
  });
}

// 创建
export function createConfig(data) {
  return request({
    url: "/iceserver/conftemplate/create",
    method: "post",
    data
  });
}
export function getPageConfigAll(nodeType) {
  return request({
    url: `/iceserver/conftemplate/page?pageNo=${1}&pageSize=${99}&app=${
      process.env.VUE_APP_ICE_APPID
    }&type=${nodeType}`,
    method: "get"
  });
}
