export const LuckyCard = {
  width: 200,
  height: 100,
  // 蒙层
  placeImg: "http://purchase.platomix.net/files/0bf76174-e0ad-490b-8d14-327aec43c190.png",
  //中奖背景
  prizeBg: "http://purchase.platomix.net/files/97da8669-7144-4c77-9dfb-4fb2caf7cc20.png",
  prizeTextSize: 14,
  //中奖奖品文字
  prizeText: "谢谢惠顾",
  //中奖品图片
  prizeImg: "http://purchase.platomix.net/files/97da8669-7144-4c77-9dfb-4fb2caf7cc20.png",
  //圆角
  radius: 5,
  overlay: {
    title: "奖品详情",
    // prizeText: '谢谢惠顾',
    prizeImg:
      "https://img2.baidu.com/it/u=3556063715,2129857985&fm=253&fmt=auto&app=138&f=PNG?w=500&h=500",
    prizeDetail: ""
  }
};
export const BlindBox = {
  // 主图
  MainDrawing: "http://purchase.platomix.net/files/0f5a0453-1805-47b8-81a8-d40d25bacf38.png",
  // 提示语
  placeholder: "http://purchase.platomix.net/files/534a11f1-1893-4bbb-a109-2edeca22fe8f.png",
  tipsWidth: "",
  tipsHeight: "",
  // 箱子上，
  OnBox: "http://purchase.platomix.net/files/b315bcd8-9afa-44a4-b3eb-2d405aecdbd9.png",
  // 箱子下
  UnderBox: "http://purchase.platomix.net/files/70cc5b57-825a-41bf-9b05-f81b04a1f5d6.png",
  // 开箱后发光
  effectsBox: "http://purchase.platomix.net/files/909fa250-e80b-444c-beb0-1b5a9fa3ad21.png",
  // 开箱动画
  boxAnimation: {},
  position: { top: 0, left: 0 }
};
export const RotaryTurntable = {
  size: { width: 300, height: 300 },
  // rotateNum duration
  // 是否显示文字
  isShowText: false,
  // 奖品文字大小
  TextSize: 14,
  // 背景，底图，边框，指针
  turntableBg: "",
  // 分割条颜色
  LineColor: "#fc3c69",
  Underlay: "",
  Pointer: "https://purchase.platomix.net/files/3194d89b-07a8-4d8d-8edc-26e376488471.png",
  // 奖品图片大小
  prizeImgSize: { width: 60, height: 65 },
  list: [
    {
      title: "1元",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png",
      bgColor: "#fff4e0",
      txtColor: "#111"
    },
    {
      title: "2元",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png",
      bgColor: "#fff4e0",
      txtColor: "#111"
    },
    {
      title: "5元",
      bgColor: "#fff4e0",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png"
    },
    {
      title: "谢谢参与",
      bgColor: "#fff4e0",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png"
    },
    {
      title: "20元",
      bgColor: "#fff4e0",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png"
    },
    {
      title: "50元",
      bgColor: "#fff4e0",
      txtColor: "#111",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png"
    },
    {
      title: "5元",
      bgColor: "#fff4e0",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png"
    },
    {
      title: "谢谢参与",
      bgColor: "#fff4e0",
      img: "https://purchase.platomix.net/files/b4b3c667-435e-4f80-ad37-5096eba179b3.png"
    }
  ]
};
export const ScrapingCard = {
  // 是否显示文字
  isText: true,
  textSize: 16,
  // 底图
  cardBg: "",
  // 刮奖图
  cardImg: "https://purchase.platomix.net/files/e5a1f690-464a-4b8d-b3bc-6c3e84bd0a61.png",
  // 刮奖边框
  cardBorder: "",
  // 文字
  cardText: "谢谢惠顾",
  // 文字颜色
  cardColor: ""
};
export const Egg = {
  img: "https://purchase.platomix.net/files/eafccdfe-635f-4a7d-84df-b0a5d567d1ca.png",
  activeImg: "https://purchase.platomix.net/files/c6258319-4ed0-4735-ae60-3ec4b94a2902.png",
  // 旋转时间
  rotateTiem: 1
};
